# Emacs, look here: -*- coding: cyrillic-cp1251 -*-
Name: url_handler
Version: 0.2.1
Release: alt1.M24.1

Group: Networking/Other
Summary: Opens URLs of common types with dedicated programs.
Summary(ru_RU.CP1251):  URL-      .
License: GPL

Packager: Ivan Zakharyaschev <imz@altlinux.ru>

BuildArch: noarch

# There was a single pkg before: it used to unite urlview & url_handler.
Conflicts: urlview < 0.9-ipl8mdk

%define confdir %_sysconfdir/urlview

Requires: common-licenses
# the script uses tr:
Requires: coreutils

# Probably something like this should be present, but not now.
#Requires: webclient
# Now very few pkgs provide webclient.

# We use 'mailx' command not present in older mailx
Conflicts: mailx < 8.1.2-alt1

# 2 scripts of our own. 
Source0: url_handler-alt-0.2.1.tar.gz

# All the patches are not applied, because they are already there.
# (They are saved for the purpose of tracking the changes.)

# Our patch - not applied
Patch2: urlview-0.9-paths.ALT.patch

# From Debian - not applied:
Patch4: urlview-0.9-add-nohup-flag.debian.patch

# Add more url-handlers - applied
Patch5: url_handlers-alt-add-new-handlers.patch

%description
%name can be used as a uniform centralized handler for URLs of common types
by other programs (e.g., urlview) or human users. 
It has a configurable list of programs 
dedicated to handling each specific URL type: 
it is initialized to the list of the most popular programs.

Examples:

\#1
url_handler.sh http://lrn.ru \# open it in a browser

\#2
url_handler.sh ./manual.html \# view the local file from the working dir

%description -l ru_RU.CP1251
%name      (, urlview) 
 -     URL- 
 .    ,       URL:   ,    .

:

\#1
url_handler.sh http://lrn.ru \#    

\#2
url_handler.sh ./manual.html \#      

%prep
%setup
%patch5 -p1

%install
mkdir -p "$RPM_BUILD_ROOT"{%_bindir,%confdir}
install -p -m755 url_handler.sh \
    "$RPM_BUILD_ROOT"%confdir
%__ln_s %confdir/url_handler.sh \
    "$RPM_BUILD_ROOT"%_bindir/url_handler.sh
install -p -m644 url_handlers \
    "$RPM_BUILD_ROOT"%confdir/

# link the license
%__ln_s -f %_licensedir/GPL-2 COPYING


%files

%dir %_sysconfdir/urlview
%config %confdir/url_handler.sh
%config(noreplace) %confdir/url_handlers

%_bindir/*

# Hack for symlink ;-)
%doc --no-dereference COPYING

# %triggerpostun  -- urlview < 0.9-ipl8mdk
# [ -e %_sysconfdir/urlview/url_handlers.rpmsave ] \
# && echo 'Consider moving your old configuration to the new location: mv %_sysconfdir/urlview/url_handlers.rpmsave %_sysconfdir/%name/url_handlers!' ||:

# [ -e %_sysconfdir/urlview/url_handler.sh.rpmsave ] \
# && echo 'Consider moving your old configuration to the new location: mv %_sysconfdir/urlview/url_handler.sh.rpmsave %_sysconfdir/%name/url_handler.sh!' ||:

%changelog
* Wed Apr 20 2005 LAKostis <lakostis at altlinux.ru> 0.2.1-alt1.M24.1
- backport to Master-2.4.

* Sun Jan 09 2005 Alexey Gladkov <legion@altlinux.ru> 0.2.1-alt2
- add more url-handlers (firefox, thunderbird).

* Thu Sep 18 2003 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.1-alt1
- split pkg: urlview + url_handler (the old changelog is below):
  + the config-files remain under /etc/urlview/;
- expand ./* file paths to absolute (No. 1098);
- tiny changes: Error() function & other;
- translate Summary & description into Russian.

* Thu Sep 18 2003 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.1-alt0
- Extractions from the old changelog of urlview (concerning url_handler):

@ Sat Feb  8 2003 Ivan Zakharyaschev <imz@altlinux.ru> 0.9-ipl7mdk
- url_handler.sh:
  + more quotes (to prevent expansion in wrong places; fixes No. 0001108);
  + accept ./@ as file-URL, too (fixes No. 0001098 at http://bugs.altlinux.ru);
- spec-file:
  + drop PreReq on sh-utils, use bash parameter expansion to get the basename.

@ Mon Apr 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.9-ipl5mdk
- url_handlers: added "file" method (by default, equals to http).
- url_handler.sh: added "file" protocol recognition (#0000838).

@ Thu Apr 11 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.9-ipl4mdk
- url_handler.sh: 
  + clean up (ldv, imz);
  + extract the program lists to %_sysconfdir/urlview/url_handlers;
  + include user's configuration from ~/.etc/urlview/url_handlers;
  + case-insensitive protocol matching (fixes \#824 at bugs.altlinux.ru);
- url_handlers:
  + add mozilla -compose for mailto (fixes \#510 at bugs.altlinux.ru);
- spec-file:
  + maintaining patches is difficult, so use our own source for url_handler.sh;

@ Thu Nov 29 2001 Ivan Zakharyaschev <imz@altlinux.ru> 0.9-ipl3mdk
- a special directory %_sysconfdir/%name/ to hold both the conf-file and
  the script to start browsers (since it should be editable by the 
  administrator -- it contains paths and preferences) (debian)
- add nohup-mode to start programs in X (debian)
- add more url-handlers:
  + gecko-based HTTP-browsers;
  + Sylpheed & mailto program (Mutt remains the first);
  + gFTP client;
- make the url-handler script more flexible (path lists implemented 
  with Bash arrays)

@ Fri Nov 10 2000 Dmitry V. Levin <ldv@fandra.org> 0.9-ipl2mdk
- Fixed paths for browsers.
